edu.sc.seis.sod.subsetter.origin

## Class EventArea

- java.lang.Object
- - edu.sc.seis.sod.subsetter.AreaSubsetter
  - - edu.sc.seis.sod.subsetter.origin.EventArea

- All Implemented Interfaces:
    SodElement, OriginSubsetter, Subsetter

      public class EventArea
      extends AreaSubsetter
      implements OriginSubsetter, SodElement

  This class is used to represent the subsetter EventArea. Event Area implements EventSubsetter and can be any one of GlobalArea or BoxArea or PointDistanceArea or FlinneEngdahlArea. Created: Thu Mar 14 14:02:33 2002

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.subsetter.AreaSubsetter

      `area, locationArray`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventArea(org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringTree` | `accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.iris.Fissures.event.EventAttrImpl eventAttr, edu.iris.Fissures.event.OriginImpl e)` returns true if the given origin is within the area specified in the configuration file else returns false.

    - ### Methods inherited from class edu.sc.seis.sod.subsetter.AreaSubsetter

      `accept, extractPolygon, makeRelativeOrRecipeDirReader`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventArea

          public EventArea(org.w3c.dom.Element config)
                    throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### accept

          public StringTree accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                   edu.iris.Fissures.event.EventAttrImpl eventAttr,
                                   edu.iris.Fissures.event.OriginImpl e)
                            throws java.lang.Exception

      returns true if the given origin is within the area specified in the configuration file else returns false.
      Specified by:
        `accept` in interface `OriginSubsetter`
      Throws:
        `java.lang.Exception`